package pw.yumc.Residence.runnable;

import pw.yumc.Residence.ResidenceMain;

public class RentTask implements Runnable {
    ResidenceMain plugin;

    public RentTask(final ResidenceMain plugin) {
        this.plugin = plugin;
    }

    @Override
    public void run() {
        plugin.getRentManager().checkCurrentRents();
        if (plugin.getConfigManager().showIntervalMessages()) {
            plugin.getLogger().info(" - Rent Expirations checked!");
        }
    }
}
